/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Add {

// *
// *     ----------------------------------------------------------------
// *               A D D
// *     ----------------------------------------------------------------
// *
// *     Add a Slater integral to the data structure associated with the
// *     energy expression
// *
// *

public static void add (double c,
int k,
int i,
int j,
boolean first)  {

int ip= 0;
ip = HF_f2j_coeff.ijptr[((i-HF_f2j_param.nclosd.val)-(1))+((j-HF_f2j_param.nclosd.val)-(1)) * (5)];
// 
if (first)  {
    HF_f2j_coeff.coef[(((ip+(k/2))+1)-(1))] = ((c/HF_f2j_wave.sum[(i-(1))])+HF_f2j_coeff.coef[(((ip+(k/2))+1)-(1))]);
}
else  {
  ip = ((((ip+Math.min(HF_f2j_radial.l[(i-(1))], HF_f2j_radial.l[(j-(1))]))+1)+(((k-Math.abs((HF_f2j_radial.l[(i-(1))]-HF_f2j_radial.l[(j-(1))]))))/2))+1);
HF_f2j_coeff.coef[(ip-(1))] = (HF_f2j_coeff.coef[(ip-(1))]+(c/HF_f2j_wave.sum[(i-(1))]));
}              //  Close else.
Dummy.label("Add",999999);
return;
   }
} // End class.
