/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Array {

// *
// *     ----------------------------------------------------------------
// *               A R R A Y
// *     ----------------------------------------------------------------
// *
// *     Set up the data structure associated with the average energy
// *
// *

public static void array ()  {

int ip= 0;
double c= 0.0d;
int i= 0;
int j= 0;
int k= 0;
double dsumi= 0.0d;
double dsumj= 0.0d;
int isumi= 0;
int isumj= 0;
double ca= 0.0d;
double cb= 0.0d;
ip = 0;
{
for (i = (HF_f2j_param.nclosd.val+1); i <= HF_f2j_param.nwf.val; i++) {
isumi = (int)(HF_f2j_wave.sum[(i-(1))]);
dsumi = (HF_f2j_wave.sum[(i-(1))]-isumi);
{
for (j = (HF_f2j_param.nclosd.val+1); j <= HF_f2j_param.nwf.val; j++) {
isumj = (int)(HF_f2j_wave.sum[(j-(1))]);
dsumj = (HF_f2j_wave.sum[(j-(1))]-isumj);
if ((i != j))  {
    c = HF_f2j_wave.sum[(j-(1))];
if (((dsumi != HF_f2j_param.d0.val) && (dsumj != HF_f2j_param.d0.val))) {
    c = (((((dsumi*((isumi+1)))*isumj)+((dsumj*((isumj+1)))*isumi)))/HF_f2j_wave.sum[(i-(1))]);
}
    }
else  {
  c = (HF_f2j_wave.sum[(i-(1))]-HF_f2j_param.d1.val);
if ((dsumi != HF_f2j_param.d0.val)) {
    c = (((isumi*(((HF_f2j_wave.sum[(i-(1))]+dsumi)-1))))/HF_f2j_wave.sum[(i-(1))]);
}
    }              //  Close else.
// *
HF_f2j_coeff.ijptr[((i-HF_f2j_param.nclosd.val)-(1))+((j-HF_f2j_param.nclosd.val)-(1)) * (5)] = ip;
// *
// *  *****        Direct contribution
// *
{
int _k_inc = 2;
for (k = 0; k <= (2*Math.min(HF_f2j_radial.l[(i-(1))], HF_f2j_radial.l[(j-(1))])); k += _k_inc) {
ip = (ip+1);
if ((ip > (100))) {
    System.err.println("STOP:  COEF array too small: MAX = (100)");
System.exit(0);
}
    HF_f2j_coeff.coef[(ip-(1))] = HF_f2j_param.d0.val;
if ((k == 0))  {
    HF_f2j_coeff.coef[(ip-(1))] = c;
}
else if ((i == j))  {
    HF_f2j_coeff.coef[(ip-(1))] = (-((c*Ca.ca(HF_f2j_radial.l[(i-(1))],k))));
}              // Close else if()
Dummy.label("Array",14);
}              //  Close for() loop. 
}
// *
// *  *****        Exchange contribution
// *
if ((i != j))  {
    {
int _k_inc = 2;
for (k = Math.abs((HF_f2j_radial.l[(i-(1))]-HF_f2j_radial.l[(j-(1))])); k <= (HF_f2j_radial.l[(i-(1))]+HF_f2j_radial.l[(j-(1))]); k += _k_inc) {
ip = (ip+1);
if ((ip > (100))) {
    System.err.println("STOP:  COEF array too small: MAX = (100)");
System.exit(0);
}
    HF_f2j_coeff.coef[(ip-(1))] = (-((c*Cb.cb(HF_f2j_radial.l[(i-(1))],HF_f2j_radial.l[(j-(1))],k))));
Dummy.label("Array",16);
}              //  Close for() loop. 
}
}
Dummy.label("Array",12);
}              //  Close for() loop. 
}
Dummy.label("Array",10);
}              //  Close for() loop. 
}
Dummy.label("Array",999999);
return;
   }
} // End class.
