/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class B {

// *
// *     ----------------------------------------------------------------
// *               B
// *     ----------------------------------------------------------------
// *
// *     Determine the coefficient of the Y^k(i,j)P(j) term in the exchange
// *     expression of electron i
// *
// *

public static double b (int i,
int j,
int k)  {

int kk= 0;
int ll= 0;
int istart= 0;
double b= 0.0d;
double cb= 0.0d;
if ((i == j))  {
    b = HF_f2j_param.d0.val;
}
else if (((i > HF_f2j_param.nclosd.val) && (j > HF_f2j_param.nclosd.val)))  {
    // *
// *   ..... LL is the number of direct terms
// *         ISTART the beginning of the exchange terms
// *
ll = (Math.min(HF_f2j_radial.l[(i-(1))], HF_f2j_radial.l[(j-(1))])+1);
istart = ((HF_f2j_coeff.ijptr[((i-HF_f2j_param.nclosd.val)-(1))+((j-HF_f2j_param.nclosd.val)-(1)) * (5)]+1)+ll);
kk = (((k-Math.abs((HF_f2j_radial.l[(i-(1))]-HF_f2j_radial.l[(j-(1))]))))/2);
b = HF_f2j_coeff.coef[((istart+kk)-(1))];
}              // Close else if()
else  {
  b = (-((HF_f2j_wave.sum[(j-(1))]*Cb.cb(HF_f2j_radial.l[(i-(1))],HF_f2j_radial.l[(j-(1))],k))));
}              //  Close else.
Dummy.label("B",999999);
return b;
   }
} // End class.
