/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Bwint {

// *
// *     ------------------------------------------------------------------
// *               B W I N T
// *     ------------------------------------------------------------------
// *
// *
// * ... LC IS THE L-VALUE OF THE FILLED SUBSHELL, LO IS THE L-VALUE
// *     OF THE PARTIALLY-FILLED SUBSHELL.
// *

public static void bwint (int lc,
int lo)  {

int lc1= 0;
  java.util.Vector __io_vec = new java.util.Vector();
if (((lc <= 3) && (lo <= 4))) {
    Dummy.go_to("Bwint",1);
}
    __io_vec.clear();
  __io_vec.addElement(new String("INCORRECT CALLING OF BWINT WITH LC, LO ="));
  __io_vec.addElement(new Integer(lc));
  __io_vec.addElement(new Integer(lo));
Util.f77write(null, __io_vec);
label1:
   Dummy.label("Bwint",1);
lc1 = (lc+1);
{
  int _cg_tmp = lc1;
if (_cg_tmp == 1) 
  Dummy.go_to("Bwint",10);
else if (_cg_tmp == 2) 
  Dummy.go_to("Bwint",20);
else if (_cg_tmp == 3) 
  Dummy.go_to("Bwint",30);
else if (_cg_tmp == 4) 
  Dummy.go_to("Bwint",40);
}
label10:
   Dummy.label("Bwint",10);
{
  int _cg_tmp = lo;
if (_cg_tmp == 1) 
  Dummy.go_to("Bwint",11);
else if (_cg_tmp == 2) 
  Dummy.go_to("Bwint",12);
else if (_cg_tmp == 3) 
  Dummy.go_to("Bwint",13);
else if (_cg_tmp == 4) 
  Dummy.go_to("Bwint",14);
}
// *
// * ... S-P
// *
label11:
   Dummy.label("Bwint",11);
HF_f2j_blume.coefnk[(1-(1))] = 1.e0;
HF_f2j_blume.coefn2[(1-(1))] = -2.e0;
HF_f2j_blume.coefvk[(1-(1))] = 1.e0;
Dummy.go_to("Bwint",999999);
// *
// * ... S-D
// *
label12:
   Dummy.label("Bwint",12);
HF_f2j_blume.coefnk[(1-(1))] = (6.e0/5.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((9.e0/5.e0)));
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/5.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... S-F
// *
label13:
   Dummy.label("Bwint",13);
HF_f2j_blume.coefnk[(1-(1))] = (9.e0/7.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((12.e0/7.e0)));
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/7.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... S-G
// *
label14:
   Dummy.label("Bwint",14);
HF_f2j_blume.coefnk[(1-(1))] = (4.e0/3.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((5.e0/3.e0)));
HF_f2j_blume.coefvk[(1-(1))] = (1.e0/3.e0);
Dummy.go_to("Bwint",999999);
label20:
   Dummy.label("Bwint",20);
{
  int _cg_tmp = lo;
if (_cg_tmp == 1) 
  Dummy.go_to("Bwint",21);
else if (_cg_tmp == 2) 
  Dummy.go_to("Bwint",22);
else if (_cg_tmp == 3) 
  Dummy.go_to("Bwint",23);
else if (_cg_tmp == 4) 
  Dummy.go_to("Bwint",24);
}
// *
// * ... P-P
// *
label21:
   Dummy.label("Bwint",21);
HF_f2j_blume.coefnk[(1-(1))] = 0.e0;
HF_f2j_blume.coefn2[(1-(1))] = 3.e0;
HF_f2j_blume.coefvk[(1-(1))] = (9.e0/5.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... P-D
// *
label22:
   Dummy.label("Bwint",22);
HF_f2j_blume.coefnk[(1-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefnk[(2-(1))] = (36.e0/35.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((12.e0/5.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/5.e0);
HF_f2j_blume.coefvk[(2-(1))] = (36.e0/35.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... P-F
// *
label23:
   Dummy.label("Bwint",23);
HF_f2j_blume.coefnk[(1-(1))] = (1.e0/7.e0);
HF_f2j_blume.coefnk[(2-(1))] = (10.e0/7.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((18.e0/7.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (18.e0/35.e0);
HF_f2j_blume.coefvk[(2-(1))] = (5.e0/7.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... P-G
// *
label24:
   Dummy.label("Bwint",24);
HF_f2j_blume.coefnk[(1-(1))] = (5.e0/77.e0);
HF_f2j_blume.coefnk[(2-(1))] = (18.e0/11.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((18.e0/7.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefvk[(2-(1))] = (6.e0/11.e0);
Dummy.go_to("Bwint",999999);
label30:
   Dummy.label("Bwint",30);
{
  int _cg_tmp = lo;
if (_cg_tmp == 1) 
  Dummy.go_to("Bwint",31);
else if (_cg_tmp == 2) 
  Dummy.go_to("Bwint",32);
else if (_cg_tmp == 3) 
  Dummy.go_to("Bwint",33);
else if (_cg_tmp == 4) 
  Dummy.go_to("Bwint",34);
}
// *
// * ... D-P
// *
label31:
   Dummy.label("Bwint",31);
HF_f2j_blume.coefnk[(1-(1))] = (59.e0/7.e0);
HF_f2j_blume.coefnk[(2-(1))] = (-((18.e0/7.e0)));
HF_f2j_blume.coefn2[(1-(1))] = -4.e0;
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = -1.e0;
HF_f2j_blume.coefvk[(2-(1))] = (18.e0/7.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... D-D
// *
label32:
   Dummy.label("Bwint",32);
HF_f2j_blume.coefnk[(1-(1))] = (6.e0/7.e0);
HF_f2j_blume.coefnk[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(1-(1))] = 3.e0;
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefvk[(2-(1))] = (10.e0/7.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... D-F
// *
label33:
   Dummy.label("Bwint",33);
HF_f2j_blume.coefnk[(1-(1))] = (9.e0/7.e0);
HF_f2j_blume.coefnk[(2-(1))] = (-((13.e0/77.e0)));
HF_f2j_blume.coefnk[(3-(1))] = (75.e0/77.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((18.e0/7.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(3-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefvk[(2-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefvk[(3-(1))] = (75.e0/77.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... D-G
// *
label34:
   Dummy.label("Bwint",34);
HF_f2j_blume.coefnk[(1-(1))] = (741.e0/693.e0);
HF_f2j_blume.coefnk[(2-(1))] = (-((215.e0/429.e0)));
HF_f2j_blume.coefnk[(3-(1))] = (210.e0/143.e0);
HF_f2j_blume.coefn2[(1-(1))] = -3.e0;
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(3-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (3.e0/7.e0);
HF_f2j_blume.coefvk[(2-(1))] = (255.e0/693.e0);
HF_f2j_blume.coefvk[(3-(1))] = (105.e0/143.e0);
Dummy.go_to("Bwint",999999);
label40:
   Dummy.label("Bwint",40);
{
  int _cg_tmp = lo;
if (_cg_tmp == 1) 
  Dummy.go_to("Bwint",41);
else if (_cg_tmp == 2) 
  Dummy.go_to("Bwint",42);
else if (_cg_tmp == 3) 
  Dummy.go_to("Bwint",43);
else if (_cg_tmp == 4) 
  Dummy.go_to("Bwint",44);
}
// *
// * ... F-P
// *
label41:
   Dummy.label("Bwint",41);
HF_f2j_blume.coefnk[(1-(1))] = (52.e0/3.e0);
HF_f2j_blume.coefnk[(2-(1))] = (-((20.e0/3.e0)));
HF_f2j_blume.coefn2[(1-(1))] = -9.e0;
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (-((9.e0/5.e0)));
HF_f2j_blume.coefvk[(2-(1))] = (10.e0/3.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... F-D
// *
label42:
   Dummy.label("Bwint",42);
HF_f2j_blume.coefnk[(1-(1))] = 5.e0;
HF_f2j_blume.coefnk[(2-(1))] = (142.e0/55.e0);
HF_f2j_blume.coefnk[(3-(1))] = (-((20.e0/11.e0)));
HF_f2j_blume.coefn2[(1-(1))] = (-((18.e0/5.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(3-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (-((3.e0/5.e0)));
HF_f2j_blume.coefvk[(2-(1))] = (2.e0/5.e0);
HF_f2j_blume.coefvk[(3-(1))] = (20.e0/11.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... F-F
// *
label43:
   Dummy.label("Bwint",43);
HF_f2j_blume.coefnk[(1-(1))] = 1.e0;
HF_f2j_blume.coefnk[(2-(1))] = (5.e0/11.e0);
HF_f2j_blume.coefnk[(3-(1))] = 0.e0;
HF_f2j_blume.coefn2[(1-(1))] = 3.e0;
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(3-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (1.e0/5.e0);
HF_f2j_blume.coefvk[(2-(1))] = (5.e0/11.e0);
HF_f2j_blume.coefvk[(3-(1))] = (175.e0/143.e0);
Dummy.go_to("Bwint",999999);
// *
// * ... F-G
// *
label44:
   Dummy.label("Bwint",44);
HF_f2j_blume.coefnk[(1-(1))] = (53.e0/33.e0);
HF_f2j_blume.coefnk[(2-(1))] = (57.e0/143.e0);
HF_f2j_blume.coefnk[(3-(1))] = (-((115.e0/429.e0)));
HF_f2j_blume.coefnk[(4-(1))] = (392.e0/429.e0);
HF_f2j_blume.coefn2[(1-(1))] = (-((8.e0/3.e0)));
HF_f2j_blume.coefn2[(2-(1))] = 0.e0;
HF_f2j_blume.coefn2[(3-(1))] = 0.e0;
HF_f2j_blume.coefn2[(4-(1))] = 0.e0;
HF_f2j_blume.coefvk[(1-(1))] = (1.e0/3.e0);
HF_f2j_blume.coefvk[(2-(1))] = (3.e0/11.e0);
HF_f2j_blume.coefvk[(3-(1))] = (57.e0/143.e0);
HF_f2j_blume.coefvk[(4-(1))] = (392.e0/429.e0);
Dummy.go_to("Bwint",999999);
Dummy.label("Bwint",999999);
return;
   }
} // End class.
