/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Ca {

// *
// *     ------------------------------------------------------------------
// *               C A
// *     ------------------------------------------------------------------
// *
// *
// *

public static double ca (int l,
int k)  {

double rme= 0.0d;
double ca= 0.0d;
if ((l <= 4))  {
    ca = HF_f2j_eav.cca[(((((l*((l-1)))+k))/2)-(1))];
}
else  {
  // *        correctedx according to Prof. P. Bogdanovich 1996.03.18
ca = (double)((((int)Math.pow(Rme.rme(l,l,k), 2))/(((((2*l)+1))*(((4*l)+1))))));
}              //  Close else.
Dummy.label("Ca",999999);
return ca;
   }
} // End class.
