/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  http://www.netlib.org.
 *
 *  Fortran input file: HF_f2j.f
 *
 */

import java.lang.*;
import org.netlib.util.*;



public class Data {

// *
// *     ------------------------------------------------------------------
// *               D A T A
// *     ------------------------------------------------------------------
// *
// *       Data concerning the number of configurations (NCFG), the number

// *   and type of electrons in each  configuration,  as  well  as  data
// *   associated with the energy expression are read and stored.
// *
public static String aster = new String("*");
// *

public static void data ()  {

String ans= new String(" ");
StringW string= new StringW("                                                  ");
String el1= new String("   ");
String el2= new String("   ");
String [] elcsd= new String[(18)];
boolean first= false;
boolean strong= false;
booleanW done= new booleanW(false);
boolean orderd= false;
String w= new String(" ");
int jj= 0;
int jp= 0;
int lval= 0;
intW ierr= new intW(0);
int maxorb= 0;
double ss= 0.0d;
int next= 0;
double cfg= 0.0d;
intW ifg= new intW(0);
intW jfg= new intW(0);
int kfg= 0;
int i= 0;
int j= 0;
int k= 0;
int ifull= 0;
int nit= 0;
int itemp= 0;
int l1= 0;
int l2= 0;
int n1= 0;
int n2= 0;
double ac= 0.0d;
  EasyIn __f2j_stdin = new EasyIn();
  java.util.Vector __io_vec = new java.util.Vector();
label1:
   Dummy.label("Data",1);
label7:
   Dummy.label("Data",7);
// *
// *  *****  READ 'ATOM' CARD
// *
// *5     WRITE(*,'(A/A)') ' Enter ATOM,TERM,Z',
// *     :   ' Examples: O,3P,8. or Oxygen,AV,8.'
label5:
   Dummy.label("Data",5);
__io_vec.clear();
  __io_vec.addElement(new String("Enter ATOM,TERM,Z"));
Util.f77write(null, __io_vec);
string.val = __f2j_stdin.readChars(50);
__f2j_stdin.skipRemaining();
i = ;
if ((i == 0))  {
    __io_vec.clear();
  __io_vec.addElement(new String(" ATOM, TERM, and Z must be separated by commas "));
Util.f77write(null, __io_vec);
Dummy.go_to("Data",5);
}
HF_f2j_label.atom.val = string.val.substring((1)-1,(i-1));
j = ;
if ((j == 0))  {
    __io_vec.clear();
  __io_vec.addElement(new String(" ATOM, TERM, and Z must be separated by commas "));
Util.f77write(null, __io_vec);
Dummy.go_to("Data",5);
}
HF_f2j_label.term.val = string.val.substring(((i+1))-1,((i+j)-1));
HF_f2j_param.z.val = __f2j_stdin.readDouble();
__f2j_stdin.skipRemaining();
// *
// *  ***** REUSE WAVEFUNCTIONS?
// *
__io_vec.clear();
  __io_vec.addElement(new String(" Reuse wavefunctions? (Y/N)"));
Util.f77write(null, __io_vec);
ans = __f2j_stdin.readChars(1);
__f2j_stdin.skipRemaining();
if (((ans.regionMatches(0, "Y", 0, 1) ) || (ans.regionMatches(0, "y", 0, 1) )))  {
    HF_f2j_inout.iuf.val = 1;
}
else  {
  HF_f2j_inout.iuf.val = 0;
}              //  Close else.
// *
// *  *****  INPUT COMMON CLOSED SHELLS
// *
// *   2  WRITE(*,*)
// *      WRITE(*,*)'List the CLOSED shells in the fields indicated',
// *     :        ' (blank line if none)'
// *      WRITE(*,'(A)') ' ... ... ... ... ... ... ... ... etc.'
label2:
   Dummy.label("Data",2);
__io_vec.clear();
Util.f77write(null, __io_vec);
__io_vec.clear();
  __io_vec.addElement(new String("List the CLOSED shells"));
Util.f77write(null, __io_vec);
__io_vec.clear();
Util.f77read("18(1X,A3)", __io_vec);
for(i = 1; i <= 18; i++)
{
elcsd[(i-(1))] = (String) __io_vec.remove(0);
}
// *
// *  *****  INPUT THE CONFIGURATION
// *
__io_vec.clear();
  __io_vec.addElement(new String("Enter electrons outside CLOSED shells"));
Util.f77write(null, __io_vec);
string.val = __f2j_stdin.readChars(50);
__f2j_stdin.skipRemaining();
Reform.reform(string,HF_f2j_label.config);
// *
// *      Determine the number of closed shells
// *
i = 0;
ss = HF_f2j_param.d0.val;
label12:
   Dummy.label("Data",12);
if ((!elcsd[((i+1)-(1))].regionMatches(0, "   ", 0, 3) ))  {
    i = (i+1);
HF_f2j_label.el[(i-(1))] = elcsd[(i-(1))];
j = 3;
// ****** need to fix syntax here *******
// *         IF (EL(I)(1:1) .NE. ' ') J = 2
// *         L(I) = LVAL(EL(I)(J:J))
// *         N(I) = ICHAR(EL(I)(J-1:J-1)) - ICHAR('1') + 1
if ((!HF_f2j_label.el[(i-(1))].regionMatches(0, " ", 0, 1) )) {
    j = 2;
}
    HF_f2j_radial.l[(i-(1))] = Lval.lval(HF_f2j_label.el[(i-(1))]);
HF_f2j_radial.n[(i-(1))] = (((int)(HF_f2j_label.el[(i-(1))].charAt(0))-(int)("1".charAt(0)))+1);
// ********************************************************
ifull = (2*(((2*HF_f2j_radial.l[(i-(1))])+1)));
HF_f2j_wave.sum[(i-(1))] = (double)(ifull);
HF_f2j_wave.s[(i-(1))] = (ss+(ifull/2));
ss = (ss+ifull);
HF_f2j_wave.meth[(i-(1))] = 1;
HF_f2j_wave.acc[(i-(1))] = HF_f2j_param.d0.val;
HF_f2j_zind.ind[(i-(1))] = 0;
if ((HF_f2j_inout.iuf.val != 0)) {
    HF_f2j_zind.ind[(i-(1))] = -1;
}
    if ((i < 18)) {
    Dummy.go_to("Data",12);
}
    System.err.println("STOP:  TOO MANY CLOSED SHELLS: MAX = 18");
System.exit(0);
}
HF_f2j_param.nclosd.val = i;
// *
// *  *****  DETERMINE THE OTHER ELECTRONS
// *
maxorb = HF_f2j_param.nclosd.val;
string.val = HF_f2j_label.config.val;
j = 2;
i = 0;
label16:
   Dummy.label("Data",16);
if ((!string.val.substring((j)-1,(j+2)).regionMatches(0, "   ", 0, 1) ))  {
    // *
// *  --------- An electron has been found; is it a new one?
// *
i = (i+1);
if ((i > (5))) {
    System.err.println("STOP:  TOO MANY SHELLS: MAX= (5)");
System.exit(0);
}
    el1 = string.val.substring((j)-1,(j+2));
k = (HF_f2j_param.nclosd.val+1);
label17:
   Dummy.label("Data",17);
if ((k <= maxorb))  {
    if ((!HF_f2j_label.el[(k-(1))].regionMatches(0, el1, 0, 3) ))  {
    k = (k+1);
if ((k > (20)))  {
    __io_vec.clear();
  __io_vec.addElement(new String(" TOO MANY ELECTRONS: MAX ="));
  __io_vec.addElement(new Integer(20));
Util.f77write(null, __io_vec);
Dummy.go_to("Data",2);
}
else  {
  Dummy.go_to("Data",17);
}              //  Close else.
}
}
else  {
  // *
// *  ------------  A new electron has been found; add it to the list
// *
maxorb = k;
HF_f2j_label.el[(maxorb-(1))] = el1;
HF_f2j_wave.sum[(k-(1))] = __f2j_stdin.readDouble();
__f2j_stdin.skipRemaining();
}              //  Close else.
j = (j+10);
if ((j < (50))) {
    Dummy.go_to("Data",16);
}
    }
// *
// *  -----  The list of electrons has been determined
// *
__io_vec.clear();
  __io_vec.addElement(new String("ORBITALS"));
Util.f77write(null, __io_vec);
__io_vec.clear();
  __io_vec.addElement(new Integer(maxorb));
Util.f77write(null, __io_vec);
__io_vec.clear();
for(j = 1; j <= maxorb; j++)
{
  __io_vec.addElement(new String(HF_f2j_label.el[(j-(1))]));
}
Util.f77write(null, __io_vec);
HF_f2j_param.nwf.val = maxorb;
if ((nit < 0)) {
    nit = HF_f2j_param.nwf.val;
}
    label21:
   Dummy.label("Data",21);
__io_vec.clear();
  __io_vec.addElement(new String(" Orbitals to be varied: "));
  __io_vec.addElement(new String("ALL/NONE/=i (last i)/comma delimited list/H"));
Util.f77write(null, __io_vec);
string.val = __f2j_stdin.readChars(50);
__f2j_stdin.skipRemaining();
// *      IF (STRING(1:1) .EQ. 'h' .OR. STRING(1:1) .EQ. 'H') THEN
// *       CALL HELP(1)
// *       GO TO 21
if (((string.val.substring((1)-1,3).regionMatches(0, "ALL", 0, 1) ) || (string.val.substring((1)-1,3).regionMatches(0, "all", 0, 1) )))  {
    nit = HF_f2j_param.nwf.val;
}
else if (((string.val.substring((1)-1,4).regionMatches(0, "NONE", 0, 1) ) || (string.val.substring((1)-1,4).regionMatches(0, "none", 0, 1) )))  {
    nit = 0;
}              // Close else if()
else if (( != 0))  {
    j = ;
jj = ;
nit = __f2j_stdin.readInt();
__f2j_stdin.skipRemaining();
if ((jj == (j+2))) {
    nit = (nit)%(10);
}
    }              // Close else if()
else  {
  nit = 0;
j = 1;
label22:
   Dummy.label("Data",22);
next = ;
// *
// *        ***  Search for last electron label which need not be followed

// *             by a comma
// *
if (((next == 0) && (!string.val.substring((j)-1,(j+2)).regionMatches(0, "   ", 0, 1) ))) {
    next = (+1);
}
    if ((next >= 1))  {
    if ((next == 4))  {
    el1 = string.val.substring((j)-1,(j+2));
}
else if ((next == 3))  {
    el1 = (" "+string.val.substring((j)-1,(j+1)));
}              // Close else if()
else  {
  __io_vec.clear();
  __io_vec.addElement(new String("Electron labels must be separated by commas;"));
Util.f77write(null, __io_vec);
__io_vec.clear();
  __io_vec.addElement(new String(" each label must contain 2 or 3 characters"));
Util.f77write(null, __io_vec);
Dummy.go_to("Data",21);
}              //  Close else.
Reord.reord(HF_f2j_label.el,0,el1,HF_f2j_param.nwf.val,ierr);
if ((ierr.val == 0))  {
    nit = (nit+1);
j = (j+next);
if ((j < 72)) {
    Dummy.go_to("Data",22);
}
    }
else  {
  __io_vec.clear();
  __io_vec.addElement(new String(" Case must match as well as position of"));
  __io_vec.addElement(new String(" imbedded blanks"));
Util.f77write(null, __io_vec);
__io_vec.clear();
  __io_vec.addElement(new String(" For 3rd character of label to be blank"));
  __io_vec.addElement(new String(" follow blank with comma"));
Util.f77write(null, __io_vec);
// 
Dummy.go_to("Data",21);
}              //  Close else.
}
}              //  Close else.
// *
HF_f2j_param.ib.val = ((HF_f2j_param.nwf.val-nit)+1);
if ((nit != 0))  {
    label23:
   Dummy.label("Data",23);
__io_vec.clear();
  __io_vec.addElement(new String(" Default electron parameters ? (Y/N/H) "));
Util.f77write(null, __io_vec);
ans = __f2j_stdin.readChars(1);
__f2j_stdin.skipRemaining();
if (((ans.regionMatches(0, "H", 0, 1) ) || (ans.regionMatches(0, "h", 0, 1) )))  {
    Help.help(2);
Dummy.go_to("Data",23);
}
}
else  {
  ans = "Y";
}              //  Close else.
if (((!ans.regionMatches(0, "Y", 0, 1) ) && (!ans.regionMatches(0, "y", 0, 1) )))  {
    __io_vec.clear();
  __io_vec.addElement(new String(" ACC for non-closed Shell electrons: "));
Util.f77write(null, __io_vec);
// *     :   ' S, IND, METH, ACC for non-closed Shell electrons: '
ac = __f2j_stdin.readDouble();
__f2j_stdin.skipRemaining();
}
{
for (i = (HF_f2j_param.nclosd.val+1); i <= HF_f2j_param.nwf.val; i++) {
if (((ans.regionMatches(0, "Y", 0, 1) ) || (ans.regionMatches(0, "y", 0, 1) )))  {
    HF_f2j_wave.s[(i-(1))] = (ss+(((HF_f2j_wave.sum[(i-(1))]-HF_f2j_param.d1.val))/HF_f2j_param.d2.val));
ss = (ss+HF_f2j_wave.sum[(i-(1))]);
HF_f2j_wave.meth[(i-(1))] = 1;
HF_f2j_wave.acc[(i-(1))] = HF_f2j_param.d0.val;
HF_f2j_zind.ind[(i-(1))] = 0;
if ((HF_f2j_inout.iuf.val != 0)) {
    HF_f2j_zind.ind[(i-(1))] = -1;
}
    }
else  {
  HF_f2j_wave.s[(i-(1))] = (ss+(((HF_f2j_wave.sum[(i-(1))]-HF_f2j_param.d1.val))/HF_f2j_param.d2.val));
ss = (ss+HF_f2j_wave.sum[(i-(1))]);
HF_f2j_wave.meth[(i-(1))] = 1;
HF_f2j_zind.ind[(i-(1))] = 0;
HF_f2j_wave.acc[(i-(1))] = ac;
if ((HF_f2j_inout.iuf.val != 0)) {
    HF_f2j_zind.ind[(i-(1))] = -1;
}
    // *            WRITE(*,'(A,A)') EL(I),':  '
// *            READ(*,*) ACC(I)
}              //  Close else.
j = 2;
// ***************Check syntax**************
// *         IF (EL(I)(1:1) .EQ. ' ') J = 3
// *         L(I) = LVAL(EL(I)(J:J))
// *         N(I) = ICHAR(EL(I)(J-1:J-1)) - ICHAR('1') + 1
if ((HF_f2j_label.el[(i-(1))].regionMatches(0, " ", 0, 1) )) {
    j = 3;
}
    HF_f2j_radial.l[(i-(1))] = Lval.lval(HF_f2j_label.el[(i-(1))]);
HF_f2j_radial.n[(i-(1))] = (((int)(HF_f2j_label.el[(i-(1))].charAt(0))-(int)("1".charAt(0)))+1);
if ((HF_f2j_zind.ind[(i-(1))] != 1))  {
    HF_f2j_wave.ek[(i-(1))] = HF_f2j_param.d0.val;
HF_f2j_radial.az[(i-(1))] = HF_f2j_param.d0.val;
}
Dummy.label("Data",20);
}              //  Close for() loop. 
}
// *
// *  *****  DEFINE ALL ORBITALS IN THE CONFIGURATION TO BE ORTHOGONAL
// *
{
for (i = 1; i <= HF_f2j_param.nwf.val; i++) {
HF_f2j_wave.e[(i-(1))+(i-(1)) * (20)] = HF_f2j_param.d0.val;
{
for (j = 1; j <= (i-1); j++) {
HF_f2j_wave.e[(i-(1))+(j-(1)) * (20)] = HF_f2j_param.d0.val;
if ((HF_f2j_radial.l[(i-(1))] == HF_f2j_radial.l[(j-(1))])) {
    HF_f2j_wave.e[(i-(1))+(j-(1)) * (20)] = 1.e-5;
}
    HF_f2j_wave.e[(j-(1))+(i-(1)) * (20)] = HF_f2j_wave.e[(i-(1))+(j-(1)) * (20)];
Dummy.label("Data",33);
}              //  Close for() loop. 
}
Dummy.label("Data",34);
}              //  Close for() loop. 
}
HF_f2j_param.ib.val = ((HF_f2j_param.nwf.val-nit)+1);
HF_f2j_param.no.val = 220;
HF_f2j_param.nd.val = (HF_f2j_param.no.val-2);
strong = false;
__io_vec.clear();
  __io_vec.addElement(new String(HF_f2j_label.atom.val));
  __io_vec.addElement(new String(HF_f2j_label.term.val));
  __io_vec.addElement(new Double(HF_f2j_param.z.val));
Util.f77write("' HARTREE-FOCK WAVE FUNCTIONS FOR ',2A,'Z =',F5.1/", __io_vec);
label62:
   Dummy.label("Data",62);
__io_vec.clear();
  __io_vec.addElement(new String("CONFIGURATION DATA"));
Util.f77write(null, __io_vec);
__io_vec.clear();
for(i = 1; i <= HF_f2j_param.nclosd.val; i++)
{
  __io_vec.addElement(new String(HF_f2j_label.el[(i-(1))]));
  __io_vec.addElement(new Integer((int)(HF_f2j_wave.sum[(i-(1))])));
}
Util.f77write("' Core=',18(1X,A2,'(',I4,')')", __io_vec);
label63:
   Dummy.label("Data",63);
__io_vec.clear();
  __io_vec.addElement(new String("Configuration="));
  __io_vec.addElement(new String(HF_f2j_label.config.val));
Util.f77write(null, __io_vec);
label68:
   Dummy.label("Data",68);
__io_vec.clear();
Util.f77write("/,' INPUT DATA'", __io_vec);
label69:
   Dummy.label("Data",69);
__io_vec.clear();
  __io_vec.addElement(new String("NL  SIGMA METH ACC OPT"));
Util.f77write(null, __io_vec);
{
for (i = 1; i <= HF_f2j_param.nwf.val; i++) {
// *         WRITE(*,78) EL(I),N(I),L(I),S(I),METH(I),ACC(I),IND(I)
// *78       FORMAT(1X,A3,2I3,F7.1,I4,F4.1,I4)
__io_vec.clear();
  __io_vec.addElement(new String(HF_f2j_label.el[(i-(1))]));
  __io_vec.addElement(new Double(HF_f2j_wave.s[(i-(1))]));
  __io_vec.addElement(new Integer(HF_f2j_wave.meth[(i-(1))]));
  __io_vec.addElement(new Double(HF_f2j_wave.acc[(i-(1))]));
  __io_vec.addElement(new Integer(HF_f2j_zind.ind[(i-(1))]));
Util.f77write("1X,A3,F7.1,I4,F4.1,I4", __io_vec);
label78:
   Dummy.label("Data",78);
Dummy.label("Data",79);
}              //  Close for() loop. 
}
HF_f2j_test.omit.val = (!strong);
// *
Array.array();
Enexpr.enexpr(HF_f2j_label.term.val,done);
if ((!done.val))  {
    // *
// *  ---  Case needs additional data
// *
__io_vec.clear();
  __io_vec.addElement(new String("UNSUPPORTED CONFIGURATION"));
Util.f77write(null, __io_vec);
__io_vec.clear();
  __io_vec.addElement(new String("END OF CASE"));
Util.f77write(null, __io_vec);
// *         WRITE(*,85)
// *85       FORMAT(/' The program could not derive the energy expression'/
// *     :           ' Select one of the following options and enter:'/
// *     :           '    1  Re-enter the term and configuration'/
// *     :           '    2  Enter the deviations from Eav as input'/
// *     :           '    3  STOP'/)
// *         READ(*,*) ISELEC
// *         GO TO (5,86,99) ISELEC
Dummy.go_to("Data",99);
label86:
   Dummy.label("Data",86);
__io_vec.clear();
Util.f77write("/' Input data for deviations from the average energy'/' First FK integrals, then GK integrals in indicated format'/'  cc.ccccccccccFkk(el1,el2)  - terminate each list with an *',' in the F column'", __io_vec);
label83:
   Dummy.label("Data",83);
first = true;
// *
// *  *****  READ 'FK' AND 'GK' CARDS, OMITTING THE HEADER IF A FILE
// *
label82:
   Dummy.label("Data",82);
__io_vec.clear();
Util.f77read("F14.8,A1,I2,1X,A3,1X,A3", __io_vec);
cfg = ((Number) __io_vec.remove(0)).doubleValue();
w = (String) __io_vec.remove(0);
kfg = ((Number) __io_vec.remove(0)).intValue();
el1 = (String) __io_vec.remove(0);
el2 = (String) __io_vec.remove(0);
label84:
   Dummy.label("Data",84);
if ((!w.regionMatches(0, aster, 0, 1) ))  {
    // ***************************** check syntax******         
// *            CALL EPTR(EL,EL1, IFG, *99)
// *            CALL EPTR(EL,EL2, JFG, *99)
Eptr.eptr(HF_f2j_label.el[0],el1,ifg);
Eptr.eptr(HF_f2j_label.el[0],el2,jfg);
// *************************************************            
Add.add(cfg,kfg,ifg.val,jfg.val,first);
Add.add(cfg,kfg,jfg.val,ifg.val,first);
Dummy.go_to("Data",82);
}
else if (first)  {
    first = false;
Dummy.go_to("Data",82);
}              // Close else if()
}
// *
// *  *****  COMPUTE THE INITIAL ARRAY AND INITIAL RADIAL FUNCTIONS
// *
__io_vec.clear();
  __io_vec.addElement(new String("END"));
Util.f77write(null, __io_vec);
Wavefn.wavefn();
// *
// *      ... Define an order for the functions to be iterated
// *
{
for (jp = 1; jp <= HF_f2j_param.nwf.val; jp++) {
HF_f2j_wave.iord[(jp-(1))] = jp;
Dummy.label("Data",90);
}              //  Close for() loop. 
}
label91:
   Dummy.label("Data",91);
orderd = true;
{
for (jp = HF_f2j_param.ib.val; jp <= (HF_f2j_param.nwf.val-1); jp++) {
n1 = HF_f2j_radial.n[(HF_f2j_wave.iord[(jp-(1))]-(1))];
l1 = HF_f2j_radial.l[(HF_f2j_wave.iord[(jp-(1))]-(1))];
n2 = HF_f2j_radial.n[(HF_f2j_wave.iord[((jp+1)-(1))]-(1))];
l2 = HF_f2j_radial.l[(HF_f2j_wave.iord[((jp+1)-(1))]-(1))];
if (((n1 > n2) || (((n1 == n2) && (l1 > l2)))))  {
    itemp = HF_f2j_wave.iord[(jp-(1))];
HF_f2j_wave.iord[(jp-(1))] = HF_f2j_wave.iord[((jp+1)-(1))];
HF_f2j_wave.iord[((jp+1)-(1))] = itemp;
orderd = false;
}
Dummy.label("Data",92);
}              //  Close for() loop. 
}
if ((!orderd)) {
    Dummy.go_to("Data",91);
}
    Dummy.go_to("Data",999999);
label99:
   Dummy.label("Data",99);
System.exit(0);
Dummy.label("Data",999999);
return;
   }
} // End class.
